package com.leromro.common.core.domain;

import lombok.Data;

import java.io.Serializable;

/**
 *  1 对于SQL进行条件拼接，先从参数实体中获取是否包含校验对象
 * 	2 如果包含校验对象，和实体类对象，则进入下阶段
 */
@Data
public class ListPermission implements Serializable {
    /**
     * 业务表对象
     */
    private Class<?> aClass;

    /**
     * 权限判断分组结合，多个逗号隔开：province_code city_code, district_code
     */
    private String permissionGroup;

    public ListPermission(Class<?> aClass) {
        this.aClass = aClass;
    }

    public ListPermission(Class<?> aClass, String permissionGroup) {
        this.aClass = aClass;
        this.permissionGroup = permissionGroup;
    }
}
