package com.leromro.core.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import java.time.LocalTime;

/**
 * 返回指定日期的时间段状态，用于用户下单时查看志愿者空余时间
 */
@Data
@Builder
public class VolunteerReservationTimeVO {

    @JsonFormat(pattern = "H:mm")
    @ApiModelProperty("预约时间")
    private LocalTime reservationTime;

    @ApiModelProperty("预约客户id")
    private Long clientId;

    @ApiModelProperty("是否预约0否1是")
    private Integer hasReservation;
}
