package com.leromro.core.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.leromro.core.domain.BusinessPrice;
import com.leromro.core.domain.vo.BusinessPriceVO;
import org.apache.ibatis.annotations.Param;

/**
 * 业务价格Mapper接口
 * 
 * @author ruoyi
 * @date 2025-04-17
 */
public interface BusinessPriceMapper extends BaseMapper<BusinessPrice>
{
    /**
     * 查询业务价格
     * 
     * @param businessPriceId 业务价格主键
     * @return 业务价格
     */
    public BusinessPrice selectBusinessPriceByBusinessPriceId(Long businessPriceId);

    /**
     * 查询业务价格列表
     * 
     * @param businessPrice 业务价格
     * @return 业务价格集合
     */
    public List<BusinessPriceVO> selectBusinessPriceList(@Param("businessPrice") BusinessPrice businessPrice);

    /**
     * 新增业务价格
     * 
     * @param businessPrice 业务价格
     * @return 结果
     */
    public int insertBusinessPrice(BusinessPrice businessPrice);

    /**
     * 修改业务价格
     * 
     * @param businessPrice 业务价格
     * @return 结果
     */
    public int updateBusinessPrice(BusinessPrice businessPrice);

    /**
     * 删除业务价格
     * 
     * @param businessPriceId 业务价格主键
     * @return 结果
     */
    public int deleteBusinessPriceByBusinessPriceId(Long businessPriceId);

    /**
     * 批量删除业务价格
     * 
     * @param businessPriceIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBusinessPriceByBusinessPriceIds(Long[] businessPriceIds);
}
