package com.leromro.core.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.leromro.core.domain.Slideshow;

/**
 * 主页轮播图或后续其他广告图片Mapper接口
 * 
 * @author ruoyi
 * @date 2025-04-24
 */
public interface LSlideshowMapper extends BaseMapper<Slideshow>
{
    /**
     * 查询主页轮播图或后续其他广告图片
     * 
     * @param slideshowId 主页轮播图或后续其他广告图片主键
     * @return 主页轮播图或后续其他广告图片
     */
    public Slideshow selectLSlideshowBySlideshowId(Long slideshowId);

    /**
     * 查询主页轮播图或后续其他广告图片列表
     * 
     * @param slideshow 主页轮播图或后续其他广告图片
     * @return 主页轮播图或后续其他广告图片集合
     */
    public List<Slideshow> selectLSlideshowList(Slideshow slideshow);

    /**
     * 新增主页轮播图或后续其他广告图片
     * 
     * @param slideshow 主页轮播图或后续其他广告图片
     * @return 结果
     */
    public int insertLSlideshow(Slideshow slideshow);

    /**
     * 修改主页轮播图或后续其他广告图片
     * 
     * @param slideshow 主页轮播图或后续其他广告图片
     * @return 结果
     */
    public int updateLSlideshow(Slideshow slideshow);

    /**
     * 删除主页轮播图或后续其他广告图片
     * 
     * @param slideshowId 主页轮播图或后续其他广告图片主键
     * @return 结果
     */
    public int deleteLSlideshowBySlideshowId(Long slideshowId);

    /**
     * 批量删除主页轮播图或后续其他广告图片
     * 
     * @param slideshowIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteLSlideshowBySlideshowIds(Long[] slideshowIds);
}
