package com.leromro.core.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.leromro.common.core.domain.ListPermission;
import com.leromro.core.domain.OrgStatData;
import com.leromro.core.domain.dto.HomePageDTO;
import org.apache.ibatis.annotations.Param;

/**
 * 平台机构数据统计Mapper接口
 * 
 * @author ruoyi
 * @date 2025-04-30
 */
public interface OrgStatDataMapper extends BaseMapper<OrgStatData>
{
    /**
     * 查询平台机构数据统计
     * 
     * @param orgStatDataId 平台机构数据统计主键
     * @return 平台机构数据统计
     */
    public OrgStatData selectOrgStatDataByOrgStatDataId(Long orgStatDataId);

    /**
     * 查询平台机构数据统计列表
     * 
     * @param orgStatData 平台机构数据统计
     * @return 平台机构数据统计集合
     */
    public List<OrgStatData> selectOrgStatDataList(OrgStatData orgStatData);

    /**
     * 新增平台机构数据统计
     * 
     * @param orgStatData 平台机构数据统计
     * @return 结果
     */
    public int insertOrgStatData(OrgStatData orgStatData);

    /**
     * 修改平台机构数据统计
     * 
     * @param orgStatData 平台机构数据统计
     * @return 结果
     */
    public int updateOrgStatData(OrgStatData orgStatData);

    /**
     * 删除平台机构数据统计
     * 
     * @param orgStatDataId 平台机构数据统计主键
     * @return 结果
     */
    public int deleteOrgStatDataByOrgStatDataId(Long orgStatDataId);

    /**
     * 批量删除平台机构数据统计
     * 
     * @param orgStatDataIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteOrgStatDataByOrgStatDataIds(Long[] orgStatDataIds);

    List<OrgStatData> getCurrentOrgMonthStatDataList(ListPermission listPermission,@Param("dto") HomePageDTO dto);
}
