package com.leromro.core.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.leromro.core.domain.VolunteerAccountChange;

/**
 * 志愿者账号变动明细Mapper接口
 * 
 * @author ruoyi
 * @date 2025-04-11
 */
public interface VolunteerAccountChangeMapper extends BaseMapper<VolunteerAccountChange>
{
    /**
     * 查询志愿者账号变动明细
     * 
     * @param volunteerAccountChangeId 志愿者账号变动明细主键
     * @return 志愿者账号变动明细
     */
    public VolunteerAccountChange selectVolunteerAccountChangeByVolunteerAccountChangeId(Long volunteerAccountChangeId);

    /**
     * 查询志愿者账号变动明细列表
     * 
     * @param volunteerAccountChange 志愿者账号变动明细
     * @return 志愿者账号变动明细集合
     */
    public List<VolunteerAccountChange> selectVolunteerAccountChangeList(VolunteerAccountChange volunteerAccountChange);

    /**
     * 新增志愿者账号变动明细
     * 
     * @param volunteerAccountChange 志愿者账号变动明细
     * @return 结果
     */
    public int insertVolunteerAccountChange(VolunteerAccountChange volunteerAccountChange);

    /**
     * 修改志愿者账号变动明细
     * 
     * @param volunteerAccountChange 志愿者账号变动明细
     * @return 结果
     */
    public int updateVolunteerAccountChange(VolunteerAccountChange volunteerAccountChange);

    /**
     * 删除志愿者账号变动明细
     * 
     * @param volunteerAccountChangeId 志愿者账号变动明细主键
     * @return 结果
     */
    public int deleteVolunteerAccountChangeByVolunteerAccountChangeId(Long volunteerAccountChangeId);

    /**
     * 批量删除志愿者账号变动明细
     * 
     * @param volunteerAccountChangeIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteVolunteerAccountChangeByVolunteerAccountChangeIds(Long[] volunteerAccountChangeIds);
}
