package com.leromro.core.mapper;

import com.leromro.common.core.domain.ListPermission;
import com.leromro.core.domain.VolunteerInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.leromro.core.domain.dto.HomePageDTO;
import com.leromro.core.domain.dto.VolunteerInfoDTO;
import com.leromro.core.domain.vo.VolunteerInfoVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 志愿者信息表 Mapper 接口
 * </p>
 *
 * @author lr
 * @since 2025-04-07
 */
public interface VolunteerInfoMapper extends BaseMapper<VolunteerInfo> {

    void newVolunteerByUserId(VolunteerInfo volunteerInfo);

    List<VolunteerInfo> webList(VolunteerInfoDTO dto);

    List<VolunteerInfoVO> selectVolunteerInfoSimple(VolunteerInfo volunteerInfo);

    VolunteerInfo selectLVolunteerInfoByVolunteerId(@Param("volunteerId") Long volunteerId,@Param("serviceCategory") Long serviceCategory);


    List<VolunteerInfo> getCurrentOrgVolunteerList(ListPermission listPermission,@Param("dto") HomePageDTO dto);
}
