package com.leromro.core.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.leromro.core.domain.VolunteerAccount;

/**
 * 志愿者账户Service接口
 * 
 * @author ruoyi
 * @date 2025-04-11
 */
public interface IVolunteerAccountService extends IService<VolunteerAccount>
{
    /**
     * 查询志愿者账户
     * 
     * @param volunteerAccountId 志愿者账户主键
     * @return 志愿者账户
     */
    public VolunteerAccount selectVolunteerAccountByVolunteerAccountId(Long volunteerAccountId);

    /**
     * 查询志愿者账户列表
     * 
     * @param volunteerAccount 志愿者账户
     * @return 志愿者账户集合
     */
    public List<VolunteerAccount> selectVolunteerAccountList(VolunteerAccount volunteerAccount);

    /**
     * 新增志愿者账户
     * 
     * @param volunteerId 志愿者id
     * @return 结果
     */
    public void insertVolunteerAccount(Long volunteerId);

    /**
     * 修改志愿者账户
     * 
     * @param volunteerAccount 志愿者账户
     * @return 结果
     */
    public Boolean updateVolunteerAccount(VolunteerAccount volunteerAccount);

    /**
     * 批量删除志愿者账户
     * 
     * @param volunteerAccountIds 需要删除的志愿者账户主键集合
     * @return 结果
     */
    public int deleteVolunteerAccountByVolunteerAccountIds(Long[] volunteerAccountIds);

    /**
     * 删除志愿者账户信息
     * 
     * @param volunteerAccountId 志愿者账户主键
     * @return 结果
     */
    public int deleteVolunteerAccountByVolunteerAccountId(Long volunteerAccountId);
}
