package com.leromro.core.service;

import java.time.LocalDate;
import java.util.Date;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.leromro.core.domain.VolunteerReservationTime;

/**
 * 志愿者预约时间Service接口
 * 
 * @author ruoyi
 * @date 2025-04-08
 */
public interface IVolunteerReservationTimeService extends IService<VolunteerReservationTime>
{
    /**
     * 查询志愿者预约时间
     * 
     * @param volunteerReservationTimeId 志愿者预约时间主键
     * @return 志愿者预约时间
     */
    public VolunteerReservationTime selectVolunteerReservationTimeByVolunteerReservationTimeId(Long volunteerReservationTimeId);

    /**
     * 查询志愿者预约时间列表
     * 
     * @param volunteerReservationTime 志愿者预约时间
     * @return 志愿者预约时间集合
     */
    public List<VolunteerReservationTime> selectVolunteerReservationTimeList(VolunteerReservationTime volunteerReservationTime);

    /**
     * 新增志愿者预约时间
     * 
     * @param volunteerReservationTime 志愿者预约时间
     * @return 结果
     */
    public Boolean insertVolunteerReservationTime(VolunteerReservationTime volunteerReservationTime);

    /**
     * 修改志愿者预约时间
     * 
     * @param volunteerReservationTime 志愿者预约时间
     * @return 结果
     */
    public Boolean updateVolunteerReservationTime(VolunteerReservationTime volunteerReservationTime);

    /**
     * 批量删除志愿者预约时间
     * 
     * @param volunteerReservationTimeIds 需要删除的志愿者预约时间主键集合
     * @return 结果
     */
    public int deleteVolunteerReservationTimeByVolunteerReservationTimeIds(Long[] volunteerReservationTimeIds);

    /**
     * 删除志愿者预约时间信息
     * 
     * @param volunteerReservationTimeId 志愿者预约时间主键
     * @return 结果
     */
    public int deleteVolunteerReservationTimeByVolunteerReservationTimeId(Long volunteerReservationTimeId);

}
